package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag795;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT795Creator;

public class Tag77ACreator extends AbsTagCreate {
    private MT795Creator mt795Creator;

    public Tag77ACreator(AbsMTCreator absMTCreator) {
        super(absMTCreator);
        mt795Creator = (MT795Creator) absMTCreator;
    }

    @Override
    public void creator() {
        String tag77AValue = mt795Creator.getNarrative();
        mt795Creator.set("77A", tag77AValue);
    }
}
